VisTrails Home

Downloads

From VisTrailsWiki

(Difference between revisions)
Jump to: navigation, search
(Source and Binaries)
m
Line 58: Line 58:
Instructions are available for [[Building From Source|building VisTrails from source]] for all supported platforms.
Instructions are available for [[Building From Source|building VisTrails from source]] for all supported platforms.
 +
 +
==== SuSE 10.2 ====
 +
 +
Sam Preston wrote us warning that there may be issues with the current BLAS, LAPACK and numpy rpms available through YaST on SuSE 10.2:
 +
 +
I have run into another problem not directly
 +
related to VisTrails, though.  I installed blas, lapack, and numpy
 +
from Yast in OpenSUSE 10.2, and got some errors when trying to build
 +
scipy.  After looking at a couple of discussions, it seems that these
 +
packages are broken in 10.2:
 +
 +
http://readlist.com/lists/suse.com/suse-linux-e/22/111366.html
 +
http://projects.scipy.org/pipermail/numpy-discussion/2007-June/028146.html
==== Ubuntu Packages ====
==== Ubuntu Packages ====

Revision as of 15:05, 29 August 2007

Contents

Latest Release

Source and Binaries

Revision 674 (2007-04-23 17:00) Known Issues Documents2.png View Notes Size Architecture Type
1116138 all Source .tar.gz
64792987 i586 .zip (32-bit Windows (XP or higher))
67225726 Mac x86 .dmg (Mac bundle)
60761458 Mac PPC .dmg (Mac bundle)
  • If you have problems downloading from our repository, we keep mirror copies at sourceforge.

Data files for Examples

If you download the source release you might want to download the data files (they are already included in the binary releases). Just decompress the package to the examples folder.


Building from Source

Instructions are available for building VisTrails from source for all supported platforms.

SuSE 10.2

Sam Preston wrote us warning that there may be issues with the current BLAS, LAPACK and numpy rpms available through YaST on SuSE 10.2:

I have run into another problem not directly
related to VisTrails, though.  I installed blas, lapack, and numpy
from Yast in OpenSUSE 10.2, and got some errors when trying to build
scipy.  After looking at a couple of discussions, it seems that these
packages are broken in 10.2:
http://readlist.com/lists/suse.com/suse-linux-e/22/111366.html
http://projects.scipy.org/pipermail/numpy-discussion/2007-June/028146.html

Ubuntu Packages

There is now a pre-packaged version of VisTrails with full dependency checking available on the VGC Ubuntu repository. See installing VisTrails on Ubuntu for more information.

VisTrails Module Packages

VisTrails makes use of packages of Modules to define and form valid workflows. Some packages are maintained and distributed with the VisTrails itself and are considered part of the core functionality. However, work has also been done on developing user-made and maintained Module Packages. Below are a current list of packages maintained by VisTrails and user packages maintained outside the core source repository. The Package Name field describes the name required by the addPackage() directive in the .vistrails/startup.py file required to load the package.


Mailing List

Join the VisTrails mailing list to receive release announcements as well as post questions.

Personal tools